package org.eclipse.jdt.internal.compiler.lookup;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import org.eclipse.jdt.internal.compiler.lookup.MethodBinding;
import org.eclipse.jdt.internal.compiler.lookup.ReferenceBinding;

public class MostSpecificExceptionMethodBinding extends MethodBinding {
  private MethodBinding originalMethod;
  
  public MostSpecificExceptionMethodBinding(MethodBinding originalMethod, ReferenceBinding[] mostSpecificExceptions) {
    super(originalMethod.modifiers, originalMethod.selector, originalMethod.returnType, originalMethod.parameters, mostSpecificExceptions, originalMethod.declaringClass);
    this.originalMethod = originalMethod;
    this.parameterNonNullness = originalMethod.parameterNonNullness;
    this.defaultNullness = originalMethod.defaultNullness;
  }
  
  public MethodBinding original() {
    return this.originalMethod.original();
  }
}
